import {
  JupyterFrontEnd,
  JupyterFrontEndPlugin
} from '@jupyterlab/application';

import { IThemeManager } from '@jupyterlab/apputils';

/**
 * Initialization data for the @cdse/jupyterlab_theme extension.
 */
const plugin: JupyterFrontEndPlugin<void> = {
  id: '@cdse/jupyterlab_theme:plugin',
  autoStart: true,
  requires: [IThemeManager],
  activate: (app: JupyterFrontEnd, manager: IThemeManager) => {
    console.log('JupyterLab extension @cdse/jupyterlab_theme is activated!');
    const style = '@cdse/jupyterlab_theme/index.css';

    manager.register({
      name: 'Copernicus Data Space Ecosystem Theme',
      isLight: true,
      load: () => manager.loadCSS(style),
      unload: () => Promise.resolve(undefined)
    });
  }
};

export default plugin;
